### Method

# Gck Slot get_mechanisms

#### Declaration [src]

    GArray*
    gck_slot_get_mechanisms (
      GckSlot* self
    )

#### Description [src]

Get the available mechanisms for this slot.

#### Return value

Type: An array of `gulong`

A list of the mechanisms for this slot, which should be freed with g_array_free ().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.